#ifndef LOAD_DATA_H
#define LOAD_DATA_H

/*!
  \file
  \brief データのロード

  \author Satofumi KAMIMURA

  $Id: loadData.h 1546 2009-11-24 03:42:05Z satofumi $
*/

#include "line_t.h"
#include "pole_t.h"
#include "Point.h"
#include <vector>


extern bool loadPath(std::vector<qrk::Point<long> >& path, const char* file);
extern bool loadLines(std::vector<qrk::line_t>& lines, const char* file);
extern bool loadPoles(std::vector<qrk::pole_t>& poles, const char* file);

#endif /* !LOAD_DATA_H */
